> ## Documentation Index
> Fetch the complete documentation index at: https://docs.smartbills.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Put v1businesses employees vehicles



## OpenAPI

````yaml /api-reference/openapi.json put /v1/businesses/{businessId}/employees/{employeeId}/vehicles/{id}
openapi: 3.0.4
info:
  title: Smartbills.API
  version: v1
servers:
  - url: https://api.smartbills.io
    description: Production
security: []
paths:
  /v1/businesses/{businessId}/employees/{employeeId}/vehicles/{id}:
    put:
      tags:
        - EmployeeVehicles
      parameters:
        - name: businessId
          in: path
          required: true
          schema:
            type: integer
            format: int64
        - name: employeeId
          in: path
          required: true
          schema:
            type: integer
            format: int64
        - name: id
          in: path
          required: true
          schema:
            type: integer
            format: int64
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/MileageVehicleUpdateRequest'
          text/json:
            schema:
              $ref: '#/components/schemas/MileageVehicleUpdateRequest'
          application/*+json:
            schema:
              $ref: '#/components/schemas/MileageVehicleUpdateRequest'
      responses:
        '200':
          description: OK
components:
  schemas:
    MileageVehicleUpdateRequest:
      type: object
      properties:
        name:
          type: string
          nullable: true
        vehicleModelId:
          type: integer
          format: int64
          nullable: true
        make:
          type: string
          nullable: true
        model:
          type: string
          nullable: true
        year:
          type: integer
          format: int32
          nullable: true
        licensePlate:
          type: string
          nullable: true
        registration:
          $ref: '#/components/schemas/MileageVehicleRegistrationDto'
        isDefault:
          type: boolean
          nullable: true
        isActive:
          type: boolean
          nullable: true
      additionalProperties: false
    MileageVehicleRegistrationDto:
      type: object
      properties:
        country:
          type: string
          nullable: true
        state:
          type: string
          nullable: true
      additionalProperties: false

````